/*
 * LongitudIncorrectaSegunOtroCampo.java
 *
 * Created on 22 de marzo de 2007, 11:52 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class LongitudIncorrectaSegunOtroCampo extends AbstractRule {

	//
	/** Creates a new instance of LongitudIncorrectaObligatorio */
	public LongitudIncorrectaSegunOtroCampo() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String otroCampo = registro[new Integer((String) getParams()[0])
				.intValue()];

		if (otroCampo.equals(getParams()[1])) {
			if (field.length() != new Integer((String) getParams()[2])
					.intValue())
				return true;
		}

		return false;
	}
}
